<body>
  <div class="container">
    <form (ngSubmit)="guardar()" [formGroup]="formularioRegistro">
      <label>
        <p class="label-txt">EMAIL</p>
        <input
          class="form-control"
          formControlName="email"
          type="email"
          placeholder="Correo..."
          [class.is-invalid]="
            formularioRegistro.get('email').invalid &&
            formularioRegistro.get('email').touched
          "
        />
        <div class="line-box">
          <div class="line"></div>
        </div>
      </label>
      <label>
        <p class="label-txt">NOMBRE</p>
        <input
          class="form-control"
          formControlName="nombre"
          type="text"
          placeholder="Nombre..."
          [class.is-invalid]="
            formularioRegistro.get('nombre').invalid &&
            formularioRegistro.get('nombre').touched
          "
        />
        <div class="line-box">
          <div class="line"></div>
        </div>
      </label>
      <label>
        <p class="label-txt">CONTRASENA</p>
        <input
          class="form-control"
          formControlName="contrasena"
          type="password"
          placeholder="Contrasena..."
          [class.is-invalid]="
            formularioRegistro.get('contrasena').invalid &&
            formularioRegistro.get('contrasena').touched
          "
        />
        <div class="line-box">
          <div class="line"></div>
        </div>
      </label>
      <button type="submit">submit</button>
      <button [routerLink]="['/auth/login']" class="btn btn-info">Tengo cuenta</button>
    </form>
  </div>
</body>
